TDataFilter< D > Class Template Referenceabstract
Filtering and combining

Generic interface class to data filters. More...

`#include <mia/core/filter.hh>`

Inheritance diagram for TDataFilter< D >:
[legend]
Collaboration diagram for TDataFilter< D >:
[legend]

## Public Types

typedef D | Image
| defines the image type handled by the image filter
typedef D | plugin_data
| plugin handler helper type
typedef filter_type | plugin_type
| plugin handler helper type
typedef std::shared_ptr< TDataFilter< D > > | Pointer
| pointer type of the data filtered by this filter
typedef TFilter< std::shared_ptr< D > >::result_type | result_type
| result type of this filter
Public Types inherited from TFilter< std::shared_ptr< D > >
typedef std::shared_ptr< D > | result_type
| defines the return type of the filter function
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

result_type | filter (const Image &image) const
result_type | filter (std::shared_ptr< D > pimage) const
std::set< EPixelType > | test_pixeltype_conversion (const std::set< EPixelType > &in_types) const
virtual | ~TDataFilter ()
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Detailed Description

template<class D>
class TDataFilter< D >

Generic interface class to data filters.

This class provides the basic interface to image filtering.

Template Parameters

  D | the data type to be filtered

Definition at line 86 of file core/filter.hh.

## Member Typedef Documentation

## Image

template<class D>

typedef D TDataFilter< D >::Image

defines the image type handled by the image filter

Definition at line 96 of file core/filter.hh.

## plugin_data

template<class D>

typedef D TDataFilter< D >::plugin_data

plugin handler helper type

Definition at line 91 of file core/filter.hh.

## plugin_type

template<class D>

typedef filter_type TDataFilter< D >::plugin_type

plugin handler helper type

Definition at line 93 of file core/filter.hh.

## Pointer

template<class D>

typedef std::shared_ptr<TDataFilter<D> > TDataFilter< D >::Pointer

pointer type of the data filtered by this filter

Definition at line 99 of file core/filter.hh.

## result_type

template<class D>

typedef TFilter<std::shared_ptr<D>>::result_type TDataFilter< D >::result_type

result type of this filter

Definition at line 102 of file core/filter.hh.

## Constructor & Destructor Documentation

## ~TDataFilter()

template<class D>

TDataFilter< D >::~TDataFilter | ( |  | ) |

virtual

Definition at line 919 of file core/filter.hh.

## Member Function Documentation

## filter() [1/2]

template<class D>

TDataFilter< D >::result_type TDataFilter< D >::filter | ( | const Image & | image | ) | const

run the filter

Parameters

  image | must be of a type that has Binder trait defined.

Definition at line 925 of file core/filter.hh.

## filter() [2/2]

template<class D>

TDataFilter< D >::result_type TDataFilter< D >::filter | ( | std::shared_ptr< D > | pimage | ) | const

run the filter from a pointer type

Parameters

  pimage | must be of a type D that has Binder trait defined.

Definition at line 932 of file core/filter.hh.

## test_pixeltype_conversion()

template<class D>

std::set< EPixelType > TDataFilter< D >::test_pixeltype_conversion | ( | const std::set< EPixelType > & | in_types | ) | const

proved a pixel type conversion prediction based on the given input pixel type set.

Parameters

  in_types | the pixel types that are fed into the pipeline

Returns
  the possible pixel types after running the pipeline

Definition at line 947 of file core/filter.hh.

The documentation for this class was generated from the following file:

- core/filter.hh